%define module AutoLoader

Name:		perl-%{module}
Version:	5.64
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Perl
Summary:	Load subroutines only on demand
Url:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The AutoLoader module works with the AutoSplit module and the __END__ token to
defer the loading of some subroutines until they are used rather than loading
them all at once.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL -n INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std
mv %{buildroot}%{_mandir}/man3/AutoLoader.3pm \
   %{buildroot}%{_mandir}/man3/AutoLoader-%{version}.3pm

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/AutoLoader.pm
%{perl_vendorlib}/AutoSplit.pm


%changelog
* Tue Jan 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.64-2mdv2008.1
+ Revision: 151978
- new license policy
- fix mixture of tabs and spaces
- rebuild for perl-5.10.0

* Fri Dec 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.64-1mdv2008.1
+ Revision: 138798
- new version

* Thu Dec 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.63-2mdv2008.1
+ Revision: 138320
- rename man page to avoid conflict with perl package
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.63-1mdv2008.1
+ Revision: 109592
- import perl-AutoLoader


* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.63-1mdv2008.1
- first mdv release 
